Skip to main content
GET
/
v0
/
tasks
/
ids
Get task IDs
curl --request GET \
  --url https://api.avidoai.com/v0/tasks/ids \
  --header 'x-api-key: <api-key>' \
  --header 'x-application-id: <api-key>'
{
  "data": []
}

Authorizations

x-api-key
string
header
required

Your unique Avido API key

x-application-id
string
header
required

Your unique Avido Application ID

Query Parameters

topicId
string<uuid>[]

Filter tasks by topic ID

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"789e4567-e89b-12d3-a456-426614174000"

status
enum<string>[]
required

Filter tasks by status

Available options:
success,
warning,
error,
no-tests
Example:
["success", "warning"]
evalDefinitionId
string<uuid>[]

Filter tasks by eval definition ID

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"123e4567-e89b-12d3-a456-426614174000"

tagId
string[]

Filter tasks by tag ID

Example:

"789e4567-e89b-12d3-a456-426614174000"

Search tasks by title or description (case-insensitive partial match)

Example:

"credit card"

Response

Successfully retrieved task IDs

Response containing an array of task IDs

taskIds
string<uuid>[]
required

Array of task IDs

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:
[
"123e4567-e89b-12d3-a456-426614174000",
"223e4567-e89b-12d3-a456-426614174001"
]